using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [Tool]
  [GlobalClass]
  public partial class SetCharacterControllerAction:Action
  {
    [Export]
    public CharacterControllerAction characterControllerAction;

    [Export]
    public bool enabled = true;

    protected override void _OnTrigger()
    {
      if ( characterControllerAction == null )
      {
        return;
      }
      
      characterControllerAction.enabled = enabled;
    }
  }
}